package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

// Phone EJB's local home interface
public interface PhoneHomeRemote extends javax.ejb.EJBHome {

  public PhoneLocal create(String number, byte type)
                      throws javax.ejb.CreateException;

  public PhoneLocal findByPrimaryKey(Object primaryKey)
                      throws javax.ejb.FinderException;

  public Collection findAllPhones()
                      throws javax.ejb.FinderException;

}
